For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • POSTApprove Contract
      • POSTApprove Custom Rate
      • POSTUpdate Tier
      • GETGet Contract
      • GETGet Custom Rate
      • BuyRates
      • Contract
      • CustomRate
      • POSTEvent: custom-rate.created
      • BaseRate
      • RateObjDuration
      • RateObjDurationEffectiveFrom
      • User
LogoLogo
Reference - Partner APIRates

Update Tier

POST
/v1/onboardings/:onboardingId/capabilities/buy-rate
POST
/v1/onboardings/:onboardingId/capabilities/buy-rate
$curl -X POST https://agencyapi.afterpay.com/v1/onboardings/12345769/capabilities/buy-rate \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "tier": 3,
> "gmvCurrencyCode": "USD",
> "agencyMerchantContractDetails": {
> "contractId": "785389121238",
> "contractDate": "2023-09-17T00:00:00.000Z"
> }
>}'
1{
2 "onboardingId": "123snc-d83jndnv-38djcxnxn",
3 "timestamp": "2023-08-17T21:41:47.341Z",
4 "error": "string",
5 "message": "string",
6 "rateDetails": [
7 {
8 "variableRatePercentage": "5.00",
9 "fixedRate": "0.30",
10 "fixedRateCurrencyCode": "USD",
11 "rateType": "INTRODUCTORY",
12 "durationInMonths": 1,
13 "effectiveFrom": "2023-09-17T21:41:47.341+00:00"
14 }
15 ]
16}
Allows partners to pass a new tier and use a new contractId between the partner and the seller for audit purposes.
Was this page helpful?
Previous

Get Contract

Next
Built with

Path parameters

onboardingIdstringRequired
The ID returned during a successful create an onboarding call.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Request

This endpoint expects an object.
tierintegerRequired
GMV tier of the seller that informs the buy rate as defined in the commercial contract.
gmvCurrencyCodestringRequired

Currency of the gmv volume in ISO 4217 currency code. Please use currency that is defined in the commercial contract only (e.g., USD-equivalent volume for UK sellers).

agencyMerchantContractDetailsobjectRequired
gmvinteger or nullOptional
Actual transaction volume that informs the tier. Estimated or addressable seller volume accepted when actuals are not available.

Response

Tier update request was successfully actioned.
onboardingIdstring
The id that is returned during a successful create an onboarding call.
timestampstring

Datetime field indicating when the tier update request was actioned, returned using the standard ISO 8601 format, in UTC Coordinated Universal Time).

errorstring
Shows any errors encountered on the response to the contract approval call.
messagestring
Any message that may be attached to the response.
rateDetailslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error